package demo.pay.api.model;

/**
 * 支付回调的参数实体类
 *
 */
public class PayModel {

	private String order_no;	//订单号
	private String subject;		//商品名称
	private String pay_type;	//支付类型
	private String money;		//订单金额
	private String realmoney;	//实际支付金额
	private String yuma_order;	//鱼码订单号
	private String app_id;		//接口ID
	private String extra;		//用户自定义数据
	private String sign;		//签名

	public String getOrder_no() {
		return order_no;
	}

	public void setOrder_no(String order_no) {
		this.order_no = order_no;
	}

	public String getSubject() {
		return subject;
	}

	public void setSubject(String subject) {
		this.subject = subject;
	}

	public String getPay_type() {
		return pay_type;
	}

	public void setPay_type(String pay_type) {
		this.pay_type = pay_type;
	}

	public String getMoney() {
		return money;
	}

	public void setMoney(String money) {
		this.money = money;
	}

	public String getRealmoney() {
		return realmoney;
	}

	public void setRealmoney(String realmoney) {
		this.realmoney = realmoney;
	}

	
	public String getYuma_order() {
		return this.yuma_order;
	}

	public void setYuma_order(String user_order_id) {
		this.yuma_order = user_order_id;
	}
	
	public String getApp_id() {
		return app_id;
	}

	public void setApp_id(String app_id) {
		this.app_id = app_id;
	}
	
	public String getExtra() {
		return extra;
	}

	public void setExtra(String extra) {
		this.extra = extra;
	}
	
	public String getSign() {
		return sign;
	}

	public void setSign(String sign) {
		this.sign = sign;
	}
}
